<?php
// Created by Ardora www.webardora.net
//COMENTARIOS-addAvatar
$_SERVER['HTTP_REFERER']="introDatos.php";
session_cache_limiter('nocache,private');
session_start();
$slogin_noauthpage = 0;
$slogin_pagetitle = "";
include("cfg.php");include_once("para.php");include_once ("../".uName."/".uName."_lib.php");
$user=$_GET["user"];
$mimetypes = array("image/jpeg" , "image/pjpeg");
$foto_nome = $_FILES["imaxen"]["name"];
$foto_tipo = $_FILES["imaxen"]["type"];
$foto_tmp = $_FILES["imaxen"]["tmp_name"];
$foto_tam = $_FILES["imaxen"]["size"];
if ($foto_nome != ""  AND $foto_tam != 0){
   if(!in_array($foto_tipo, $mimetypes)) die("Foto non válida");
      switch($foto_tipo) {
      case $mimetypes[0]:
      case $mimetypes[1]:
      $img = imagecreatefromjpeg($foto_tmp);
      break;
   }
   $datos = getimagesize($foto_tmp);
   $ancho = round(40*$datos[0]/$datos[1]);
   $imaGrande = imagecreatetruecolor($ancho,40);
   imagecopyresized($imaGrande, $img, 0, 0, 0, 0, $ancho, 40, $datos[0], $datos[1]);
   switch($foto_tipo) {
      case $mimetypes[0]:
      case $mimetypes[1]:
      imagejpeg($imaGrande,"../ardoraWorkFiles/avatars/".$user.".jpg");
      $nomeImaxen=$user.".jpg";
      break;
   }
   @unlink($foto_tmp);
   @unlink($imaGrande);
   $numItems=1;
}
header ("Location: introDatos.php");
?>
